{
	"name": "manager/product/reclamation/open_and_recent_finished.json",
	"database": "4d",
	"parameter": {
		"finished_days_before": 365,
		"finished_start_date": "",
		"days_before": 0
	},
	"initZZZZ": [
		["start_date", "=", ["daysToCurrentDateStringAdd", [-365]]]
	],
	"map_parameter": [
		["days_before", "=", ["-", ["finished_days_before"]]],
		["finished_start_date", "=", ["daysToCurrentDateStringAdd", ["days_before"]]]
	],
	"query": [
		["rcl_state", "<>", 1],
		"or",
		"recent_finished",
		"or",
		["rcl_calculation_type", "=", 2]
	],
	"set": {
		"recent_finished": [
			["rcl_state", "=", 1], "and",
			["rcl_finished_date", ">=", "finished_start_date"]
		]
	},
	"field": [
		"rcl_record_id"
	]
}